%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()" 2>/dev/null)}
%{!?pybasever: %global pybasever %(%{__python} -c "import sys ; print sys.version[:3]" 2>/dev/null || echo 0.0)}

%global svnrev  15661
%global svndate 20160715

Name:           trac-tags-plugin
Version:        0.9dev
Release:        0.%{svnrev}.1%{?dist}
Summary:        Trac plugin for adding tags
Group:          Applications/Internet
License:        Copyright only
URL:            http://trac-hacks.org/wiki/DiscussionPlugin
Source0:        tagsplugin-%{svnrev}.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools

BuildRequires:  trac >= 1.0
BuildRequires:	trac-xmlrpc-plugin
Requires:       trac >= 1.0

# Required for import of pkg_resources
Requires:       python-setuptools

# Need at least this version
%if "%{?rhel}" == "6"
Requires:       python-genshi06
%else
Requires:       python-genshi >= 0.6
%endif

%description
The TagsPlugin implements both a generic tagging engine, and front ends for
the Wiki and ticket systems. An extra text entry box is added to the Wiki 
edit page for tagging Wiki pages, and ticket fields (you can configure which
ones) are treated as tags for the ticket system.

%prep
%setup -n tagsplugin/trunk -q

%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

# Don't need to package this
rm %{buildroot}%{python_sitelib}/tractags/locale/.placeholder

%check
%{__python} setup.py test

%clean
rm -rf %{buildroot}

%files
%if 0%{?_licensedir:1}
%license COPYING
%else
%doc COPYING
%endif
%doc changelog
%dir %{python_sitelib}/tractags/
%{python_sitelib}/tractags/*.py*
%{python_sitelib}/tractags/templates/
%{python_sitelib}/tractags/htdocs
%{python_sitelib}/tractags/upgrades
%{python_sitelib}/TracTags-%{version}-py%{pybasever}.egg-info/
%dir %{python_sitelib}/tractags/locale/
%dir %{python_sitelib}/tractags/locale/de/
%dir %{python_sitelib}/tractags/locale/de/LC_MESSAGES/
%lang(de) %{python_sitelib}/tractags/locale/de/LC_MESSAGES/tractags.mo
%dir %{python_sitelib}/tractags/locale/fr/
%dir %{python_sitelib}/tractags/locale/fr/LC_MESSAGES/
%lang(fr) %{python_sitelib}/tractags/locale/fr/LC_MESSAGES/tractags.mo
%dir %{python_sitelib}/tractags/locale/it/
%dir %{python_sitelib}/tractags/locale/it/LC_MESSAGES/
%lang(it) %{python_sitelib}/tractags/locale/it/LC_MESSAGES/tractags.mo
%dir %{python_sitelib}/tractags/locale/ja/
%dir %{python_sitelib}/tractags/locale/ja/LC_MESSAGES/
%lang(ja) %{python_sitelib}/tractags/locale/ja/LC_MESSAGES/tractags.mo
%dir %{python_sitelib}/tractags/locale/ko/
%dir %{python_sitelib}/tractags/locale/ko/LC_MESSAGES/
%lang(ko) %{python_sitelib}/tractags/locale/ko/LC_MESSAGES/tractags.mo
%dir %{python_sitelib}/tractags/locale/nl/
%dir %{python_sitelib}/tractags/locale/nl/LC_MESSAGES/
%lang(nl) %{python_sitelib}/tractags/locale/nl/LC_MESSAGES/tractags.mo
%dir %{python_sitelib}/tractags/locale/ru/
%dir %{python_sitelib}/tractags/locale/ru/LC_MESSAGES/
%lang(ru) %{python_sitelib}/tractags/locale/ru/LC_MESSAGES/tractags.mo
%dir %{python_sitelib}/tractags/locale/te/
%dir %{python_sitelib}/tractags/locale/te/LC_MESSAGES/
%lang(te) %{python_sitelib}/tractags/locale/te/LC_MESSAGES/tractags.mo
%dir %{python_sitelib}/tractags/locale/tr/
%dir %{python_sitelib}/tractags/locale/tr/LC_MESSAGES/
%lang(tr) %{python_sitelib}/tractags/locale/tr/LC_MESSAGES/tractags.mo
%dir %{python_sitelib}/tractags/locale/zh_CN/
%dir %{python_sitelib}/tractags/locale/zh_CN/LC_MESSAGES/
%lang(zh_CN) %{python_sitelib}/tractags/locale/zh_CN/LC_MESSAGES/tractags.mo

%changelog
* Thu May 07 2015 Josko Plazonic <plazonic@princeton.edu>
- initial build
